commit e28c151956bedc82ff4a97b8a90e083a026dcb1e
Author: jklowden <jklowden>
Date:   Thu Jan 10 22:57:33 2008 +0000

    moved some preprocessor logic to the header file

diff --git a/ChangeLog b/ChangeLog
index 1fa8966..f508d56 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+Thu Jan 10 17:55:41 EST 2008	JK Lowden <jklowden@freetds.org>
+	* include/tds_sysdep_private.h src/tds/net.c
+	- moved some preprocessor logic to the header file
+	* INSTALL.CVS NEWS TODO doc/userguide.sgml
+	- updated documentation
+
 Thu Jan 10 22:19:26 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/cancel.c src/odbc/unittests/hidden.c:
 	- memory fixes
@@ -29,4 +35,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2462 2008/01/10 21:19:47 freddy77 Exp $
+$Id: ChangeLog,v 1.2463 2008/01/10 22:57:33 jklowden Exp $
diff --git a/include/tds_sysdep_private.h b/include/tds_sysdep_private.h
index 9b6fcb0..8adfb9b 100644
--- a/include/tds_sysdep_private.h
+++ b/include/tds_sysdep_private.h
@@ -20,7 +20,7 @@
 #ifndef _tds_sysdep_private_h_
 #define _tds_sysdep_private_h_
 
-/* $Id: tds_sysdep_private.h,v 1.23 2007/01/29 11:02:43 freddy77 Exp $ */
+/* $Id: tds_sysdep_private.h,v 1.24 2008/01/10 22:57:33 jklowden Exp $ */
 
 #undef TDS_RCSID
 #if defined(__GNUC__) && __GNUC__ >= 3
@@ -34,6 +34,12 @@
 
 #define TDS_ADDITIONAL_SPACE 0
 
+#ifdef MSG_NOSIGNAL
+# define TDS_NOSIGNAL MSG_NOSIGNAL
+#else
+# define TDS_NOSIGNAL 0L
+#endif
+
 #ifdef __cplusplus
 extern "C"
 {
@@ -47,10 +53,11 @@ extern "C"
 #endif				/* __INCvxWorksh */
 
 #if defined(DOS32X)
-#define READSOCKET(a,b,c)	recv((a), (b), (c), 0L)
-#define WRITESOCKET(a,b,c)	send((a), (b), (c), 0L)
+#define READSOCKET(a,b,c)	recv((a), (b), (c), TDS_NOSIGNAL)
+#define WRITESOCKET(a,b,c)	send((a), (b), (c), TDS_NOSIGNAL)
 #define CLOSESOCKET(a)		closesocket((a))
 #define IOCTLSOCKET(a,b,c)	ioctlsocket((a), (b), (char*)(c))
+#define SOCKLEN_T int
 #define select select_s
 typedef int pid_t;
 #define strcasecmp stricmp
@@ -62,10 +69,11 @@ typedef int pid_t;
 
 #if defined(WIN32) || defined(_WIN32) || defined(__WIN32__)
 #include <windows.h>
-#define READSOCKET(a,b,c)	recv((a), (b), (c), 0L)
-#define WRITESOCKET(a,b,c)	send((a), (b), (c), 0L)
+#define READSOCKET(a,b,c)	recv((a), (b), (c), TDS_NOSIGNAL)
+#define WRITESOCKET(a,b,c)	send((a), (b), (c), TDS_NOSIGNAL)
 #define CLOSESOCKET(a)		closesocket((a))
 #define IOCTLSOCKET(a,b,c)	ioctlsocket((a), (b), (c))
+#define SOCKLEN_T int
 int  _tds_socket_init(void);
 #define INITSOCKET()	_tds_socket_init()
 void _tds_socket_done(void);
@@ -120,21 +128,33 @@ typedef DWORD pid_t;
 #endif /* !DONESOCKET */
 
 #ifndef READSOCKET
-#define READSOCKET(a,b,c)	read((a), (b), (c))
+# ifdef MSG_NOSIGNAL
+#  define READSOCKET(s,b,l)	recv((s), (b), (l), MSG_NOSIGNAL)
+# else
+#  define READSOCKET(s,b,l)	read((s), (b), (l))
+# endif
 #endif /* !READSOCKET */
 
 #ifndef WRITESOCKET
-#define WRITESOCKET(a,b,c)	write((a), (b), (c))
+# ifdef MSG_NOSIGNAL
+#  define WRITESOCKET(s,b,l)	send((s), (b), (l), MSG_NOSIGNAL)
+# else
+#  define WRITESOCKET(s,b,l)	write((s), (b), (l))
+# endif
 #endif /* !WRITESOCKET */
 
 #ifndef CLOSESOCKET
-#define CLOSESOCKET(a)		close((a))
+#define CLOSESOCKET(s)		close((s))
 #endif /* !CLOSESOCKET */
 
 #ifndef IOCTLSOCKET
-#define IOCTLSOCKET(a,b,c)	ioctl((a), (b), (c))
+#define IOCTLSOCKET(s,b,l)	ioctl((s), (b), (l))
 #endif /* !IOCTLSOCKET */
 
+#ifndef SOCKLEN_T
+# define SOCKLEN_T socklen_t
+#endif
+
 #ifndef TDS_SDIR_SEPARATOR
 #define TDS_SDIR_SEPARATOR "/"
 #endif /* !TDS_SDIR_SEPARATOR */
diff --git a/src/tds/net.c b/src/tds/net.c
index c551127..741f9b4 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -99,7 +99,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.71 2007/12/12 06:27:38 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.72 2008/01/10 22:57:33 jklowden Exp $");
 
 static int tds_select(TDSSOCKET * tds, fd_set *readfds, fd_set *writefds, fd_set *exceptfds, int timeout_seconds);
 
@@ -165,18 +165,12 @@ int
 tds_open_socket(TDSSOCKET * tds, const char *ip_addr, unsigned int port, int timeout)
 {
 	struct sockaddr_in sin;
-#if !defined(DOS32X)
 	ioctl_nonblocking_t ioctl_nonblocking;
-	int retval;
-#endif
-	int len;
+	SOCKLEN_T optlen;
+	
+	int retval, len;
 	int tds_error = TDSECONN;
 	char ip[20];
-#if defined(DOS32X) || defined(WIN32)
-	int optlen;
-#else
-	socklen_t optlen;
-#endif
 
 	memset(&sin, 0, sizeof(sin));
 
@@ -270,8 +264,7 @@ tds_open_socket(TDSSOCKET * tds, const char *ip_addr, unsigned int port, int tim
 			goto not_available;
 		}
 	}
-
-#endif
+#endif	/* not DOS32X */
 
 	/* check socket error */
 	optlen = sizeof(len);
@@ -436,11 +429,9 @@ tds_goodread(TDSSOCKET * tds, unsigned char *buf, int buflen, unsigned char unfi
 		if ((len = tds_select(tds, &rfds, NULL, NULL, tds->query_timeout)) > 0) {
 			len = 0;
 			if (FD_ISSET(tds->s, &rfds)) {
-#ifndef MSG_NOSIGNAL
+
 				len = READSOCKET(tds->s, buf + got, buflen);
-#else
-				len = recv(tds->s, buf + got, buflen, MSG_NOSIGNAL);
-#endif
+
 				if (len < 0 && sock_errno == EAGAIN)
 					continue;
 				/* detect connection close */
@@ -656,10 +647,8 @@ tds_goodwrite(TDSSOCKET * tds, const unsigned char *p, int len, unsigned char la
 				/* In case the kernel does not support MSG_MORE, try again without it */
 				if (nput < 0 && errno == EINVAL && !last)
 					nput = send(tds->s, p, remaining, MSG_NOSIGNAL);
-#elif !defined(MSG_NOSIGNAL)
-				nput = WRITESOCKET(tds->s, p, remaining);
 #else
-				nput = send(tds->s, p, remaining, MSG_NOSIGNAL);
+				nput = WRITESOCKET(tds->s, p, remaining);
 #endif
 				if (nput < 0 && sock_errno == EAGAIN)
 					continue;

